from typing import Dict, Type, TypedDict
from typing_extensions import NotRequired

from .extension_matadata import ExtensionMetadata
from .graph import Graph, GraphCollection


class ClassWithMetadata:
  metadata: ExtensionMetadata


ExtensionClassType = Type[ClassWithMetadata]

AdapterCommand = TypedDict(
    'AdapterCommand',
    {'cmdId': str,
     'modelPath': str,
     'settings': Dict,
     'deleteAfterConversion': bool})

AdapterConvertResponse = TypedDict(
    'AdapterConvertResponse',
    {'graphs': NotRequired[list[Graph]],
     'graphCollections': NotRequired[list[GraphCollection]]})
